[owncloud-devel] Bug#815963: Warn users about unsupported upgrade path

Klaas Freitag freitag at owncloud.com
Sun Feb 28 10:00:34 GMT 2016


On 27.02.2016 15:49, Lukas Reschke wrote:
> This is super dangerous stuff from Debian and I*HIGHLY*  would advise
> anybody from NOT using distribution packages for ownCloud.
>
> Highly irresponsible from them to risk user data like that. Honestly, the
> maintainer should know better.

Sorry, but this is over the top. Of course debians way of patching this 
is wrong, but have you ever thought about why they do it?

It is completely naive to think that users (using distro packages or 
not) will always follow the upgrade path ownClouds core devs think is 
good. ownCloud isn't the center of the world for everybody.

One could easily argue that ownCloud is badly architected if it is not 
able to detect which version it is updating from and to which it updates 
to. From that information it could be able to build a list of actions to 
perform. Other systems manage to do that. If that is too hard with the 
underlying technology we are using that is a different thing, but in 
means a reason for this bashing comments. That is not helping anybody.

We should spend our energy to improve things rather than pointing to 
each other. In FOSS we're all in the same boat.

regards,
Klaas






More information about the Devel mailing list